/**********************************************************************
 *
 * browsetools.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: browsetools.h 533 1999-09-07 04:57:01Z sjboddie $
 *
 *********************************************************************/


#ifndef BROWSETOOLS_H
#define BROWSETOOLS_H

#include "gsdlconf.h"
#include "text_t.h"
#include "cgiargs.h"
#include "display.h"
#include "recptproto.h"
#include "formattools.h"


void output_document_toc (cgiargsclass &args, const formatinfo_t &formatinfo,
			  recptproto *collectproto, displayclass &disp, 
			  outconvertclass &outconvert, ostream &textout, 
			  ostream &logout);

void output_standard_toc (const text_t &classifytype, const formatinfo_t &formatinfo,
			  text_t &formatstring, cgiargsclass &args, 
			  recptproto *collectproto, displayclass &disp, 
			  outconvertclass &outconvert, ostream &textout, 
			  ostream &logout);

void set_arrow_macros (const text_t &OID, const text_t &classifytype,
		       bool showtoppage, displayclass &disp, 
		       recptproto *collectproto, const text_t &collection, 
		       ostream &logout);

#endif
